## org.eclipse.jst.jsf.designtime.el
Class DefaultDTPropertyResolver

    java.lang.Object
      org.eclipse.jst.jsf.designtime.el.AbstractDTPropertyResolver
          org.eclipse.jst.jsf.designtime.el.DefaultDTPropertyResolver

    public class DefaultDTPropertyResolver

extends AbstractDTPropertyResolver

A design time proxy for the runtime PropertyResolver. This is used to resolve all but the first element of a var.prop.prop2 type of sub-expression in a JSF EL expression. @see DefaultDTVariableResolver for how to resolve 'var' at designtime Clients may implement

Constructor Summary
`DefaultDTPropertyResolver()`

Method Summary
`ISymbol[]` `getAllProperties(ISymbol base)`
`ISymbol` `getProperty(ISymbol base, int offset)`
`ISymbol` `getProperty(ISymbol base, java.lang.Object propertyId)` Returns a symbol encapsulating the property on base with the name properyId

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDTPropertyResolver

    public DefaultDTPropertyResolver()

Method Detail

### getProperty

    public ISymbol getProperty(ISymbol base,
                               java.lang.Object propertyId)

  Returns a symbol encapsulating the property on base with the name properyId

  Specified by:
    `getProperty` in class `AbstractDTPropertyResolver`
  Parameters:
    `base` -
    `propertyId` -
  Returns:
    the symbol for the named propertyId or null if not found

### getAllProperties

    public ISymbol[] getAllProperties(ISymbol base)

  Specified by:
    `getAllProperties` in class `AbstractDTPropertyResolver`
  Parameters:
    `base` -
  Returns:
    all properties of base

### getProperty

    public ISymbol getProperty(ISymbol base,
                               int offset)

  Specified by:
    `getProperty` in class `AbstractDTPropertyResolver`
  Returns:
    the symbol for the property referred to by the offset into base when it is treated as either an array or a list. The symbol returned is *not* found in the getAllProperties list.